Subject: bug#41624: 28.0.50; wdired-change-to-wdired-mode sometimes infloops

From: Michael Heerdegen <[email-masked]>
Date: Fri, 23 Oct 2020 13:38:06 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> > I can't answer that, but I can tell that when I manually delete the last
> > lines of text and whitespace in such a buffer (saying "find finished
> > ..."), it works as expected (though I'm getting a message saying that "1
> > rename actions failed").  But I'm definitely able to change permissions
> > with wdired then.  So it seems possible to make the feature work, the
> > infloop results from the unsuitable termination condition of the loop in
> > `wdired-preprocess-perms'.
>
> If even renaming doesn't work, then it does sound like this was never
> supposed to be a command that's applicable to dired-find buffers, I
> think?

I didn't say renaming doesn't work, I only got that inappropriate
message.  Maybe just because I had edited the buffer by hand to make the
loop terminate.

I'm not convinced that this is not an intended use case. - on the
contrary.  Everything works, basically, it just seems that some details
in the code are not prepared for some things that are slightly
different, e.g. the final line in those buffers.

Please don't just signal an error unless you are really sure that this
never worked and was never intended to work, and is not easy to fix.

Regards,

Michael.